// Modul...: VIDEO_PAL MAIN.C
// Version.: 1.0
// Compiler: Keil-ARM
// Datum...: Dezember 2005
// Autor...: Udo Jrss / Ulrich Radig
//------------------------------------------------------------------------------

#include "typedefs.h"
#include "ssp_master.h"
#include "pal.h"
//-----------------------------------------------------------------------------

void main(void)
{
  U32 n;

  sys_init(); // System initialisieren

  uart0_init(UART_BAUDRATE_38K4); // UART0 initialisieren
  uart0_writeln_str(FIRMWARE_VERSION);
  pal_init(); // PAL initialisieren

  ssp_master_init(DSS_16_BIT); // SSP-Schnittstelle initialisieren

  for (n = 0; n < 259; n++)
  {
  	set_pixel (n,0 );
	set_pixel (n,((PAL_CHAR_COLS *8)-1));
  }

  for (n = 0; n < ((PAL_CHAR_COLS *8)-1); n++)
  {
  	set_pixel (0,n );
	set_pixel (259,n);
  }

  logo();

  while(1)
  {
  pal_encode_str(6,20,"by Udo Juerss und Ulrich Radig");
	for (n = 0;n<500000;n++);
  pal_encode_str(6,20,"                              ");
	for (n = 0;n<500000;n++);
  }
}
